import QtQuick
import QtQuick.Controls
import AntiClipSettings

ApplicationWindow {
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")

    header: Row {
        Button {
            text: "连接"
            onClicked: App.open()
        }

        Button {
            text: "开始"
            onClicked: App.start()
        }
    }

    Rectangle {
        id: deviceList
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        width: 250
        color: "red"
    }

    DeviceView {
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: deviceList.right
        anchors.right: parent.right
        openDoorAreaPoints: App.currentOpenDoorAreaPoints
    }
}
